Get Price

View as Markdown
Fetch a quote for fiat-to-crypto or crypto-to-fiat conversion. <Callout intent="important"> **1.** Although **fiatAmount** and **cryptoAmount** are both not required together, you need to pass at least one of them in all isBuyOrSell: "BUY" cases. Our recommendation would be to pass **fiatAmount** in such cases. If both **fiatAmount** and **cryptoAmount** are passed in case of isBuyOrSell: "BUY" then **cryptoAmount** would take precedence. **2.** In case of isBuyOrSell: "SELL", **cryptoAmount** is a required param. If **fiatAmount** is passed in such cases, then it will be ignored. **3.** **quoteCountryCode** is an optional param which should be passed in case you want to ensure consistency in pricing that user sees on your platform as well as ours. In case an invalid ISO 3166 Alpha-2 country code is passed then this param will not be honored. Please refer to this page for detailed information about the usage of `quoteCountryCode`. </Callout>

Query parameters

partnerApiKeystringRequired
Partner API key from your Transak dashboard.
fiatCurrencystringRequired
Fiat currency code.
cryptoCurrencystringRequired
Crypto currency symbol.
networkstringRequired
Blockchain network name.
isBuyOrSellenumRequired
Transaction direction.
Allowed values:
fiatAmountdoubleOptional
Amount in fiat currency. For BUY, pass at least one of fiatAmount or cryptoAmount.
cryptoAmountdoubleOptional
Amount in crypto currency. For SELL, this parameter is required.
paymentMethodstringOptional
Payment method identifier.
quoteCountryCodestringOptional

Optional ISO 3166 Alpha-2 country code used to keep quote pricing consistent.

Response

Price quote fetched successfully
responseobject